Name:           pg_dw
Version:        3.4.9
Release:        1.1
Summary:        PostgreSQL PG DW Service
License:        GPL-2.0-only
Group:          Development/Languages/Python
Url:            https://mirror.linux-ia64.org/~dddh/postgresql/
Source0:        %{name}-%{version}.tar.gz
Requires:       python3
Requires:       python3-psycopg2
Requires:       gdb
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

ExclusiveArch:  x86_64

%description
PostgreSQL PG DW Service

%prep
%setup -q

%build
echo built

%install
echo $(pwd)
install -d -m 0755 %{buildroot}/usr/lib/dw/%{name}/{l,libs}
install -D -m 0644 l/daemonize.py	%{buildroot}/usr/lib/dw/%{name}/l/
install -D -m 0755 libs/*.so		%{buildroot}/usr/lib/dw/%{name}/libs/
install -D -m 0755 %{name}.py		%{buildroot}/usr/lib/dw/%{name}/
install -d -m 0755 %{buildroot}/%{_unitdir}/
install -D -m 0644 %{name}.service      %{buildroot}/%{_unitdir}/


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %attr(0755, root, root)		/usr/lib/dw
%dir %attr(0755, root, root)		/usr/lib/dw/%{name}
%dir %attr(0755, root, root)		/usr/lib/dw/%{name}/l
%dir %attr(0755, root, root)        	/usr/lib/dw/%{name}/libs
%attr(0755, root, root) /usr/lib/dw/%{name}/%{name}.py
/usr/lib/dw/%{name}/l/*.py
/usr/lib/dw/%{name}/libs/*.so*
%{_unitdir}/%{name}.service

%pre
# % service_add_pre % {name}.service

%post
# % service_add_post % {name}.service

%preun
# % service_del_preun % {name}.service

%postun
# % service_del_postun % {name}.service

%changelog
* Wed Jun 17 2020 - daniel@volchixin.co.uk
- provide build specifications for pg_dw
